clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::AssumedTemplateStorage Class Reference

A structure for storing the information associated with a name that has been assumed to be a template name (despite finding no TemplateDecls). More...

`#include "clang/AST/DeclarationName.h"`

Inheritance diagram for clang::AssumedTemplateStorage:
[legend]
Collaboration diagram for clang::AssumedTemplateStorage:
[legend]

## Public Member Functions
DeclarationName | getDeclName () const
| Get the name of the template. More...
Public Member Functions inherited from clang::UncommonTemplateNameStorage
unsigned | size () const
OverloadedTemplateStorage * | getAsOverloadedStorage ()
AssumedTemplateStorage * | getAsAssumedTemplateName ()
SubstTemplateTemplateParmStorage * | getAsSubstTemplateTemplateParm ()
SubstTemplateTemplateParmPackStorage * | getAsSubstTemplateTemplateParmPack ()

## Friends
class | ASTContext

## Additional Inherited Members
Protected Types inherited from clang::UncommonTemplateNameStorage
enum | Kind { Overloaded, Assumed, SubstTemplateTemplateParm, SubstTemplateTemplateParmPack }
Protected Member Functions inherited from clang::UncommonTemplateNameStorage
| UncommonTemplateNameStorage (Kind kind, unsigned size)
Protected Attributes inherited from clang::UncommonTemplateNameStorage
union {
struct BitsTag Bits
void * PointerAlignment
}; |

## Detailed Description

A structure for storing the information associated with a name that has been assumed to be a template name (despite finding no TemplateDecls).

Definition at line 868 of file DeclarationName.h.

## Member Function Documentation

## ◆ getDeclName()

DeclarationName clang::AssumedTemplateStorage::getDeclName | ( |  | ) | const
| inline

Get the name of the template.

Definition at line 877 of file DeclarationName.h.

Referenced by clang::ASTImporter::Import().

## Friends And Related Function Documentation

## ◆ ASTContext

friend class ASTContext
| friend

Definition at line 869 of file DeclarationName.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclarationName.h